RubyGems Navigation menu

rails-fields 0.3.2

rails-fields gem provides robust field type enforcement for ActiveRecord models in Ruby on Rails applications. It includes utility methods for type validation, logging, and field mappings between GraphQL and ActiveRecord types Custom error classes provide clear diagnostics for field-related issues, making it easier to maintain consistent data models.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.3.2 - August 28, 2023 (9.5 KB)
  2. 0.3.1 - August 28, 2023 (9.5 KB)
  3. 0.3.0 - August 28, 2023 (9.5 KB)
  4. 0.2.0 - August 27, 2023 (9.5 KB)
  5. 0.1.0 - August 27, 2023 (9 KB)

Runtime Dependencies (1):

rails >= 5.0

Development Dependencies (4):

graphql >= 0
jekyll >= 0
webrick >= 0
yard >= 0

Owners:

Pushed by:

Authors:

  • Gaston Morixe

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 1,417

For this version 377

License:

MIT

Required Ruby Version: >= 2.7

Links: